// package main -- пускач для хранилища
package main

import (
	"log"

	"git.p78su.freemyip.com/svi/gostore/internal/service"
)

var (
	// Version -- версия тега хранилища
	Version = ""
	// Date -- дата релиза
	Date = ""
	// GoVersion -- версия компилятора
	GoVersion = ""
)

func main() {
	log.Printf("gostore/main():\n\tgo\t= %v\n\tvers\t= %v\n\tdate\t= %v\n", GoVersion, Version, Date)
	serv, err := service.NewService()
	if err != nil {
		log.Printf("main(): in create IService, err=\n\t%v\n", err)
		return
	}
	if err := serv.Run(); err != nil {
		log.Printf("main(): in work IService, err=\n\t%v\n", err)
		return
	}
	log.Printf("main(): end\n")
}
